function [foveal_radius, middle_radius] = getRadii()
    
    FOVEAL_ANGLE = 10;
    MIDDLE_ANGLE = 50;

    % 13.3 inch = 11.3 inch x 7.05 inch
    screen_size             = num2cell([28.7, 17.9]);
    [screen_x, screen_y]    = screen_size{:};

    screen_resolution       = num2cell([800, 1280]);
    [screen_resolution_x, screen_resolution_y] = screen_resolution{:};

    pixel_size              = sqrt(screen_x*screen_y / (screen_resolution_x*screen_resolution_y));

    view_distance           = 25;

    foveal_angle            = FOVEAL_ANGLE * pi / 180;
    foveal_radius_size      = view_distance * tan(foveal_angle/2);
    foveal_radius           = floor(foveal_radius_size/pixel_size);

    middle_angle            = MIDDLE_ANGLE * pi / 180;
    middle_radius_size      = view_distance * tan(middle_angle/2);
    middle_radius           = floor(middle_radius_size/pixel_size);
    
end