%%
clear; clc;
%% Setup
% 1 for mark ON ; 0 for mark OFF
MARK_BOUNDARIES = 0;
MARK_CENTRE     = 1;
% 1 for save to file ; 0 for display on screen
SAVE            = 1;
    
IMAGE_PATH = './money1.jpg';
% IMAGE_PATH = 'C:\Users\Varsha\Stanford\EE 367\Project\fovea\SampleImages\food1.jpg';
I = im2double(imread(IMAGE_PATH));
screen_resolution       = num2cell([800, 1280]);
[screen_resolution_x, screen_resolution_y] = screen_resolution{:};

[foveal_radius, middle_radius] = getRadii();
blur_margin = 1.4;

side = (blur_margin - 1) * foveal_radius * sqrt(2);

%% Prepare stack mask and mapping of idx to centres
n_centre_rows = ceil(screen_resolution_x / side);
n_centre_cols = ceil(screen_resolution_y / side);

% Set centres
idx = 0;
for i=1:n_centre_rows
    for j = 1:n_centre_cols
        idx = idx + 1;
        centre_x = min(side/2 + (i-1)*side, size(I,1));
        centre_y = min(side/2 + (j-1)*side, size(I,2));
        centres{idx} = [centre_x, centre_y];
    end
end

% Set pixel mask
stack_mask = zeros(size(I,1), size(I,2));
for i=1:size(I, 1)
    for j = 1:size(I, 2)
        row = ceil(i/side);
        col = ceil(j/side);
        id = (row - 1) * n_centre_cols + col;
        stack_mask(i, j) = id;
    end
end
% imtool(stack_mask, []);

%% Create stack of blurred images
% for index=21
for index=1:length(centres)
    c_x = centres{index}(1);
    c_y = centres{index}(2);
    maskNBlur(c_x, c_y, foveal_radius, middle_radius, blur_margin, index,...
                                                MARK_BOUNDARIES, MARK_CENTRE, SAVE);
end