function [] = maskNBlur(Cy, Cx, foveal_radius, middle_radius, blur_margin, index, MARK_BOUNDARIES, MARK_CENTRE, SAVE)

    IMAGE_PATH = './money1.jpg';
%     IMAGE_PATH = 'C:\Users\Varsha\Stanford\EE 367\Project\fovea\SampleImages\food1.jpg';
    I = im2double(imread(IMAGE_PATH));

    % Create filters
    sigma = [0.5, 1.4];
    m = 35;

    H_middle = psf2otf(fspecial('gaussian',[m,m], sigma(1)),size(I(:,:,1)));
    H_outer = psf2otf(fspecial('gaussian',[m,m], sigma(2)),size(I(:,:,1)));

    % Radius margin
    foveal_radius = blur_margin*foveal_radius;
    
    % Create blur masks

    [M, N, ~] = size(I);

    x = 1:1:N;
    y = 1:1:M;

    x = x - Cx;
    y = y - Cy;

    [X, Y] = meshgrid(x, y);

    R = sqrt(X.^2 + Y.^2);

    mask_foveal                     = R./R .* 0;
    mask_foveal(R<foveal_radius)    = 1;

    mask_middle                     = R./R .* 0;
    mask_middle(R<middle_radius)    = 1;
    mask_middle(R<foveal_radius)    = 0;

    mask_outer                      = R./R .* 0;
    mask_outer(R>middle_radius)     = 1;

    mask_mark1                      = R./R .* 1;
    mask_mark1(R<foveal_radius+2)   = 0;
    mask_mark1(R<foveal_radius-2)   = 1;
    mask_mark2                      = R./R .* 1;
    mask_mark2(R<middle_radius+2)   = 0;
    mask_mark2(R<middle_radius-2)   = 1;
    mask_mark = mask_mark1 .* mask_mark2;
    mask_mark = repmat(mask_mark, 1, 1, 3);
    
    mask_centre                     = R./R .* 1;
    mask_centre(R<25)               = 0;
    mask_centre(R<12)               = 1;
    mask_centre(R<5)                = 0;
    mask_centre = repmat(mask_centre, 1, 1, 3);

    % Apply blur
    I_foveal = zeros(size(I));
    I_middle = zeros(size(I));
    I_outer  = zeros(size(I));

    for i = 1:3
        I_foveal(:,:,i) = I(:,:,i) .* mask_foveal;
        I_middle(:,:,i) = abs(ifft2(fft2(I(:,:,i)) .* H_middle)) .* mask_middle;
        I_outer(:,:,i)  = abs(ifft2(fft2(I(:,:,i)) .* H_outer)) .* mask_outer;
    end

    out_img = I_foveal + I_middle + I_outer;
    if MARK_BOUNDARIES == 1
        out_img = out_img .* mask_mark;
    end
    if MARK_CENTRE == 1
        out_img = out_img .* mask_centre;
    end
%     figure;
    % imshow(out_img);
    if SAVE == 0
        figure;
        fullDisp(out_img);
    else
        file_name = sprintf('stack/%d.png', index);
        imwrite(out_img, file_name);
    end
end